# Config (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj
Interface Config

All Known Implementing Classes:
  AndroidConfig, ConfigImpl, DefaultConfig

    public interface Config

Holds configuration information and factories. Acts a container for factories of `KeyExchange`, `Cipher`, `Compression`, `MAC`, `Signature`, `Random`, and `FileKeyProvider`.

Method Summary
`List<Factory.Named<Cipher>>` `getCipherFactories()` Retrieve the list of named factories for `Cipher`.
`List<Factory.Named<Compression>>` `getCompressionFactories()` Retrieve the list of named factories for `Compression`.
`List<Factory.Named<FileKeyProvider>>` `getFileKeyProviderFactories()` Retrieve the list of named factories for `FileKeyProvider`.
`List<Factory.Named<KeyExchange>>` `getKeyExchangeFactories()` Retrieve the list of named factories for `KeyExchange`.
`List<Factory.Named<MAC>>` `getMACFactories()` Retrieve the list of named factories for `MAC`.
`Factory<Random>` `getRandomFactory()` Retrieve the `Random` factory.
`List<Factory.Named<Signature>>` `getSignatureFactories()` Retrieve the list of named factories for `Signature`
`String` `getVersion()` Returns the software version information for identification during SSH connection initialization.
`void` `setCipherFactories(List<Factory.Named<Cipher>> cipherFactories)` Set the named factories for `Cipher`.
`void` `setCompressionFactories(List<Factory.Named<Compression>> compressionFactories)` Set the named factories for `Compression`.
`void` `setFileKeyProviderFactories(List<Factory.Named<FileKeyProvider>> fileKeyProviderFactories)` Set the named factories for `FileKeyProvider`.
`void` `setKeyExchangeFactories(List<Factory.Named<KeyExchange>> kexFactories)` Set the named factories for `KeyExchange`.
`void` `setMACFactories(List<Factory.Named<MAC>> macFactories)` Set the named factories for `MAC`.
`void` `setRandomFactory(Factory<Random> randomFactory)` Set the factory for `Random`.
`void` `setSignatureFactories(List<Factory.Named<Signature>> signatureFactories)` Set the named factories for `Signature`.
`void` `setVersion(String version)` Set the software version information for identification during SSH connection initialization.

Method Detail

### getCipherFactories

    List<Factory.Named<Cipher>> getCipherFactories()

  Retrieve the list of named factories for `Cipher`.

  Returns:
    a list of named `Cipher` factories

### getCompressionFactories

    List<Factory.Named<Compression>> getCompressionFactories()

  Retrieve the list of named factories for `Compression`.

  Returns:
    a list of named `Compression` factories

### getFileKeyProviderFactories

    List<Factory.Named<FileKeyProvider>> getFileKeyProviderFactories()

  Retrieve the list of named factories for `FileKeyProvider`.

  Returns:
    a list of named `FileKeyProvider` factories

### getKeyExchangeFactories

    List<Factory.Named<KeyExchange>> getKeyExchangeFactories()

  Retrieve the list of named factories for `KeyExchange`.

  Returns:
    a list of named `KeyExchange` factories

### getMACFactories

    List<Factory.Named<MAC>> getMACFactories()

  Retrieve the list of named factories for `MAC`.

  Returns:
    a list of named `MAC` factories

### getRandomFactory

    Factory<Random> getRandomFactory()

  Retrieve the `Random` factory.

  Returns:
    the `Random` factory

### getSignatureFactories

    List<Factory.Named<Signature>> getSignatureFactories()

  Retrieve the list of named factories for `Signature`

  Returns:
    a list of named `Signature` factories

### getVersion

    String getVersion()

  Returns the software version information for identification during SSH connection initialization. For example, `"NET_3_0"`.

### setCipherFactories

    void setCipherFactories(List<Factory.Named<Cipher>> cipherFactories)

  Set the named factories for `Cipher`.

  Parameters:
    `cipherFactories` - a list of named factories

### setCompressionFactories

    void setCompressionFactories(List<Factory.Named<Compression>> compressionFactories)

  Set the named factories for `Compression`.

  Parameters:
    `compressionFactories` - a list of named factories

### setFileKeyProviderFactories

    void setFileKeyProviderFactories(List<Factory.Named<FileKeyProvider>> fileKeyProviderFactories)

  Set the named factories for `FileKeyProvider`.

  Parameters:
    `fileKeyProviderFactories` - a list of named factories

### setKeyExchangeFactories

    void setKeyExchangeFactories(List<Factory.Named<KeyExchange>> kexFactories)

  Set the named factories for `KeyExchange`.

  Parameters:
    `kexFactories` - a list of named factories

### setMACFactories

    void setMACFactories(List<Factory.Named<MAC>> macFactories)

  Set the named factories for `MAC`.

  Parameters:
    `macFactories` - a list of named factories

### setRandomFactory

    void setRandomFactory(Factory<Random> randomFactory)

  Set the factory for `Random`.

  Parameters:
    `randomFactory` - the factory

### setSignatureFactories

    void setSignatureFactories(List<Factory.Named<Signature>> signatureFactories)

  Set the named factories for `Signature`.

  Parameters:
    `signatureFactories` - a list of named factories

### setVersion

    void setVersion(String version)

  Set the software version information for identification during SSH connection initialization. For example, `"SSHJ_0_1"`.

  Parameters:
    `version` - software version info

Copyright © 2009-2011. All Rights Reserved.